#
# spec file for package python-pyotherside
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without test
%define skip_python2 1
%define srcname pyotherside
Name:           python-pyotherside
Version:        1.5.3
Release:        lp151.2.4
Summary:        Asynchronous Python 3 Bindings for Qt 5
License:        ISC
Group:          Development/Languages/Python
Url:            http://thp.io/2011/pyotherside/
Source0:        https://github.com/thp/pyotherside/archive/%{version}.tar.gz
Provides:       pyotherside = %{version}-%{release}
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtdeclarative-devel
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  xvfb-run
%endif
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(python3)
%python_subpackages

%description
A QML Plugin that provides access to a Python 3 interpreter from QML.

%prep
%setup -q -n %{srcname}-%{version}
# disable qtquicktests
sed -i 's| qtquicktests||' pyotherside.pro

%build
qmake-qt5 PYTHON_CONFIG=python%{py_ver}-config CONFIG+="nosilent c++11" QMAKE_CXXFLAGS="%{optflags} -fvisibility=hidden -fvisibility-inlines-hidden"
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

%if %{with test}
%check
xvfb-run -s '-screen 0 640x480x8 -extension RANDR' -a  ./tests/tests
%endif

%files %{python_files}
%doc README LICENSE
%dir %{_libqt5_archdatadir}/qml/io/
%dir %{_libqt5_archdatadir}/qml/io/thp/
%{_libqt5_archdatadir}/qml/io/thp/pyotherside

%changelog
* Tue Apr 10 2018 t.gruner@katodev.de
- disable qtquicktests (debug files)
* Thu Jan 25 2018 t.gruner@katodev.de
- fix build for Leap (debug files)
* Thu Jan  4 2018 t.gruner@katodev.de
- cleanup spec file
* Fri Oct 27 2017 dmacvicar@suse.de
- update to 1.5.3
- disable python2
* Thu Jun  1 2017 t.gruner@katodev.de
- Initial release 1.5.1
